Loading...
Searching...
No Matches
pappso::Ion Class Referenceabstract

`#include <ion.h>`

Inheritance diagram for pappso::Ion:

## Public Member Functions

| Ion ()
| ~Ion ()
virtual pappso_double | getMass () const =0
virtual pappso_double | getMz (unsigned int charge) const final

## Detailed Description

Definition at line 39 of file ion.h.

## Constructor & Destructor Documentation

## Ion()

pappso::Ion::Ion | ( |  | ) |

Definition at line 36 of file ion.cpp.

{
}

## ~Ion()

pappso::Ion::~Ion | ( |  | ) |

Definition at line 40 of file ion.cpp.

{
}

## Member Function Documentation

## getMass()

virtual pappso_double pappso::Ion::getMass | ( |  | ) | const

pure virtual

Implemented in pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

References getMz().

Referenced by getMz(), and pappso::PeptideInterface::matchPeak().

## getMz()

pappso_double pappso::Ion::getMz | ( | unsigned int | charge | ) | const

final virtual

Definition at line 45 of file ion.cpp.

{
if(charge == 0)
{
throw PappsoException("charge == 0");
}
return ((getMass() + (MHPLUS * charge)) / charge);
}
pappso::Ion::getMass
virtual pappso_double getMass() const =0
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)

References getMass(), and pappso::MHPLUS().

Referenced by getMass(), and pappso::PsmFeatures::setPeptideSpectrumCharge().

The documentation for this class was generated from the following files:

- pappsomspp/core/peptide/ion.h
- pappsomspp/core/peptide/ion.cpp